import { requestData, requestDownload } from '@/utils/request'

export type DictDataVO = {
  id: number | undefined
  sort: number | undefined
  label: string
  value: string
  dictType: string
  status: number
  colorType: string
  cssClass: string
  remark: string
  createTime: Date
}

// 查询字典数据（精简)列表
export const getSimpleDictDataList = () => {
  return requestData({ url: '/system/dict-data/simple-list', method: 'GET' })
}

// 查询字典数据列表
export const getDictDataPage = (params: PageParam) => {
  return requestData({ url: '/system/dict-data/page', method: 'GET', params })
}

// 查询字典数据详情
export const getDictData = (id: number) => {
  return requestData({ url: '/system/dict-data/get?id=' + id, method: 'GET' })
}

// 新增字典数据
export const createDictData = (data: DictDataVO) => {
  return requestData({ url: '/system/dict-data/create', method: 'POST', data })
}

// 修改字典数据
export const updateDictData = (data: DictDataVO) => {
  return requestData({ url: '/system/dict-data/update', method: 'PUT', data })
}

// 删除字典数据
export const deleteDictData = (id: number) => {
  return requestData({ url: '/system/dict-data/delete?id=' + id, method: 'DELETE' })
}

// 导出字典类型数据
export const exportDictData = (params) => {
  return requestDownload({ url: '/system/dict-data/export', method: 'GET', params, responseType: 'blob' })
}
